FROM python:3.8.0-slim
WORKDIR /app
ADD . /app
RUN pip install --upgrade pip
RUN pip install -r requirements.txt
CMD gunicorn app:app --bind 0.0.0.0:80 --reload


FROM python:3.10-alpine

WORKDIR /python-docker

ENV FLASK_RUN_HOST = 0.0.0.0

RUN apk add --no-cache gcc musl-dev linux-headers

COPY requirements.txt requirements.txt
#CMD ["pip", "install", "-r", "requirements.txt"]
#
RUN pip3 install -r requirements.txt
#
#COPY requirements.txt requirements-server.txt
#CMD ["/usr/bin/pip", "install", "-r", "/python-docker/requirements-server.txt"]
#RUN pip install -r requirements-server.txt

EXPOSE 8000

COPY . .

CMD ["gunicorn", "-bind" , "0.0.0.0:8000", "app:app"]